package com.changhong.epc.parsing.controller;

import com.changhong.epc.bean.admin.AssetDepreciation;
import com.changhong.epc.constter.parsing.asset.AssetUrl;
import com.changhong.epc.parsing.service.asset.AssetHandleFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class AssetController implements AssetUrl {

    /**
     * 计提前验证
     * @param assetDepreciation
     * @return
     */
    @PostMapping(ASSET_VALIDATE_DEPRECIATION)
    public boolean depreciationValidate(@RequestBody AssetDepreciation assetDepreciation){
        for(String code : assetDepreciation.getOrgCodes()) {
            assetDepreciation.setOrgCode(code);
            AssetHandleFactory.getAssetHandle(assetDepreciation).validate(assetDepreciation);
        }
        return true;
    }

}
