package com.changhong.epc.parsing.controller;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.changhong.epc.bean.parsing.OrderStatus;
import com.changhong.epc.constter.parsing.auto.ParsingUrl;
import com.changhong.epc.parsing.service.orderStatus.OrderStatusService;

@RestController
public class OrderStatusController implements ParsingUrl{

	@Resource
	private OrderStatusService orderStatusService;
	
	/**
	 * 添加记账状态
	 * @return
	 */
	@RequestMapping(value=ORDER_STATUS_INSERT, method=RequestMethod.POST)
	public int insertOrderStatus(@RequestBody OrderStatus orderStatus){
		return orderStatus != null ? this.orderStatusService.insertOrderStatus(orderStatus) : -1;
	}
}
