package com.changhong.epc.parsing.controller;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.changhong.epc.bean.tenant.bill.RuleCheckMsg;
import com.changhong.epc.constter.parsing.auto.ParsingUrl;
import com.changhong.epc.parsing.service.ruleCheckMsg.RuleCheckMsgService;

/**
 * 	bill_check_msg相关操作
 * @author yuezhw
 * @data 2017-12-20
 */
@RestController
public class RuleCheckMsgController implements ParsingUrl{

	@Resource
	private RuleCheckMsgService ruleCheckMsgService;
	
	/**
	 * 云尚行调用费用云将规则检查结果推送
	 * 即将数据添加到RuleCheckMsg实体对应表中
	 */
	@RequestMapping(value=BILL_CHENCK_MSG_INSERT, method=RequestMethod.POST)
	public int insertRuleCheckMsg(@RequestBody RuleCheckMsg ruleCheckMsg){
		return ruleCheckMsg != null ? ruleCheckMsgService.insertRuleCheckMsg(ruleCheckMsg) : -1;
	}
}
