package com.changhong.epc.parsing.mapper.tenant;

import com.changhong.epc.bean.tenant.master.MasterValue;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MasterValueMapper extends MybatisBaseMapper<MasterValue> {

    /**
     * 查询主数据值
     * @param record
     * @return
     */
    List<MasterValue> selectMasterValueList(MasterValue record);

    /**
     * 修改主数据值
     */
    int updateMasterVal(@Param("mv") MasterValue val);

    int delMasterValue(@Param("mv") MasterValue val);
    
    int selectByCode(@Param("code") String code,@Param("eleCode")String eleCode,@Param("rowNum") Integer rowNum);
}
