package com.changhong.epc.parsing.service.excel.impl;

import com.changhong.epc.bean.parsing.ExcelLog;
import com.changhong.epc.constter.form.utf.FormUrlConst;
import com.changhong.epc.constter.system.SystemClients;
import com.changhong.epc.constter.system.run.EpcRestInterface;
import com.changhong.epc.parsing.service.excel.ExcelService;
import com.iemsoft.framework.cloud.core.base.ResMsg;
import com.iemsoft.framework.cloud.core.tools.SpringUtil;
import com.iemsoft.framework.cloud.ribbon.RestInterface;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Objects;

@Service("excelServiceImpl")
public class ExcelServiceImpl implements ExcelService,SystemClients {

    @Override
    public Integer addExcelLog(ExcelLog excelLog) {
        Object res = rpcForm(excelLog,FormUrlConst.FORM_EXCEL_ADDEXCELLOG);
        return Integer.parseInt(Objects.toString(res,"-1"));
    }

    @Override
    public Integer updateExcelStart(ExcelLog excelLog) {
        Object res = rpcForm(excelLog,FormUrlConst.FORM_EXCEL_UPDATEEXCELLOG);
        return Integer.parseInt(Objects.toString(res,"-1"));
    }

    @Override
    public List<ExcelLog> findAllExcel() {
//        Object res = rpcForm(new ModelMap("state","1"),FormUrlConst.FORM_EXCEL_SELECTEMP);
//        return res!=null? JSONTool.toList(JSONTool.toJson(res),ExcelLog.class):new ArrayList<>();
        return Collections.emptyList();
    }

    @Override
    public Integer uploadExcel() {
        return null;
    }


    public Object rpcForm(Object data,String url){
        RestInterface restInterface = SpringUtil.getBean(SERVER_FORM.getBeanName(), RestInterface.class);
        return restInterface.post(url,data,ResMsg.class,EpcRestInterface.getEpcHeads()).getData();


    }
}
