package com.changhong.epc.parsing.service.model;

import java.util.List;
import java.util.Map;

public class TableInfo {

	/**
	 * 主数据配置字段(相当于表结构)
	 */
	private List<Map<String, Object>> table;
	
	/**
	 * 显示的头
	 */
	private List<ShowTable> showTables;
	
	/**
	 * 查询条件key
	 */
	private String findKey;
	
	/**
	 * 查询条件val
	 */
	private String findVal;
	
	/**
	 * 关联key
	 */
	private String joinKey;
	
	/**
	 * where条件
	 */
	private String whereSql;

	public TableInfo() {
		super();
	}

	public TableInfo(List<Map<String, Object>> table, String findKey, String findVal) {
		super();
		this.table = table;
		this.findKey = findKey;
		this.findVal = findVal;
	}

	public List<ShowTable> getShowTables() {
		return showTables;
	}

	public void setShowTables(List<ShowTable> showTables) {
		this.showTables = showTables;
	}

	public String getJoinKey() {
		return joinKey;
	}

	public void setJoinKey(String joinKey) {
		this.joinKey = joinKey;
	}

	public List<Map<String, Object>> getTable() {
		return table;
	}

	public void setTable(List<Map<String, Object>> table) {
		this.table = table;
	}

	public String getFindKey() {
		return findKey;
	}

	public void setFindKey(String findKey) {
		this.findKey = findKey;
	}

	public String getFindVal() {
		return findVal;
	}

	public void setFindVal(String findVal) {
		this.findVal = findVal;
	}

	public String getWhereSql() {
		return whereSql;
	}

	public void setWhereSql(String whereSql) {
		this.whereSql = whereSql;
	}
	
}
