package com.changhong.epc.parsing.service.orderStatus.impl;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.changhong.epc.bean.parsing.BillInfo;
import com.changhong.epc.bean.parsing.OrderStatus;
import com.changhong.epc.parsing.mapper.tenant.BillInfoMapper;
import com.changhong.epc.parsing.mapper.tenant.OrderStatusMapper;
import com.changhong.epc.parsing.service.orderStatus.OrderStatusService;
import com.changhong.epc.parsing.service.util.IFromOperate;

@Service
public class OrderStatusServiceImpl implements OrderStatusService{

	@Resource
	private OrderStatusMapper orderStatusMapper;
	
	@Resource
	private BillInfoMapper billInfoMapper;
	
	@Resource
	private IFromOperate fromOperate;

	@Override
	public int insertOrderStatus(OrderStatus orderStatus) {
		
		
		BillInfo billInfo =billInfoMapper.selectByOrderCode(orderStatus.getOrderCode());
		return fromOperate.updateFormStatusTe(billInfo, Integer.parseInt(orderStatus.getOrderStatus()),orderStatus.getTenantId());
//		orderStatus.initParam();
//		return orderStatusMapper.insert(orderStatus);
	} 
}
