package com.changhong.epc.parsing.service.transition.billInfo.function;

/**
 * 函数
 * @ClassName: IFuncModel
 * @author [九鼎联合科技]
 * @date 2017年7月10日 下午7:51:33
 */
public interface IFuncModel {
	
	/**
	 * 等于
	 * @Title: eq
	 * @param @param r1
	 * @param @param r2
	 * @param @return    设定文件
	 * @return Boolean    返回类型
	 * @throws
	 */
	Boolean eq(String r1, String r2);
	
	/**
	 * 不等于
	 * @Title: neq
	 * @param @param r1
	 * @param @param r2
	 * @param @return    设定文件
	 * @return Boolean    返回类型
	 * @throws
	 */
	Boolean neq(String r1, String r2);

	/**
	 * 大于
	 * @Title: gt
	 * @param @param r1
	 * @param @param r2
	 * @param @return    设定文件
	 * @return Boolean    返回类型
	 * @throws
	 */
	Boolean gt(String r1, String r2);
	
	/**
	 * 小于
	 * @Title: lt
	 * @param @param r1
	 * @param @param r2
	 * @param @return    设定文件
	 * @return Boolean    返回类型
	 * @throws
	 */
	Boolean lt(String r1, String r2);
	
	/**
	 * 包含
	 * @Title: in
	 * @param @param r1
	 * @param @param r2
	 * @param @return    设定文件
	 * @return Boolean    返回类型
	 * @throws
	 */
	
	Boolean in(String r1, String r2);
	/**
	 * 不包含
	 * @Title: in
	 * @param @param r1
	 * @param @param r2
	 * @param @return    设定文件
	 * @return Boolean    返回类型
	 * @throws
	 */
	Boolean nin(String r1, String r2);

	/**
	 * 不包含
	 * @Title: in
	 * @param @param r1
	 * @param @param r2
	 * @param @return    设定文件
	 * @return Boolean    返回类型
	 * @throws
	 */
	Boolean empty(String r1);
}
