package com.changhong.epc.parsing.service.util;

import com.changhong.epc.bean.count.format.FormInfo;
import com.changhong.epc.bean.parsing.BillInfo;
import com.changhong.epc.bean.parsing.submit.CommitProcessEntity;

public interface IBootOthersOperation {

	/**
	 * 发送计算费用请求
	 * @param countParameter
	 * @return
	 */
	FormInfo countCost(FormInfo countParameter);

	/**
	 * 提交流程
	 * @param billInfo
	 * @return
	 */
	boolean commitFlow(BillInfo billInfo);
	
	/**
	 * 报销单提交流程
	 * @return
	 */
	boolean commitFlow(CommitProcessEntity commitProcessEntity);
	
}
