package com.changhong.epc.parsing.mapper.tenant;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.changhong.epc.bean.parsing.BillInfo;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;

public interface BillInfoMapper extends MybatisBaseMapper<BillInfo> {
	/**
	 * 查询未被处理票据,start状态未0
	 * @param start
	 * @return
	 */
	List<BillInfo> selectStartZero(int start);
	
	/**\
	 * 就是更新了
	 * @param bill
	 * @return
	 */
	int updateBill(BillInfo bill);
	
	int addBill(BillInfo bill);
	
	int updateBillState(@Param("orderCode") String orderCode);
	
	BillInfo selectByOrderCode(@Param("orderCode")String orderCode);
}
