package com.changhong.epc.parsing.mapper.tenant.asset;

import com.changhong.epc.bean.tenant.asset.FixedSummary;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;

public interface FixedSummaryMapper extends MybatisBaseMapper<FixedSummary> {

    /**
     * 获得最大时间的部门折旧信息
     * @param fixedSummary
     * @return
     */
    FixedSummary getMaxDateFixedSummary(FixedSummary fixedSummary);

    /**
     * 修改折旧信息
     * @param fixedSummary
     */
    void updateFixedSummary(FixedSummary fixedSummary);
}
