package com.changhong.epc.parsing.service.bill.cpnval;

import java.util.List;

import com.changhong.epc.bean.form.CpnVal;
import com.changhong.epc.bean.form.FormBaseEntity;
import com.changhong.epc.constter.parsing.journey.JourneyKey;

/**
 * 将行程添加到对应的控件
 * @author wangZX
 *
 */
public interface IBillToCpnValData<T> extends JourneyKey {
	
	public void setDatSource(T data, FormBaseEntity formAll);
	
	public void analysisSource();
	
	/**
	 * 选择用那个子表单
	 */
	//public List<CpnVal> subFormsSelect();
	
	/**
	 * 获得已经处理好的行程控件  有值的那种
	 * @return
	 */
	public List<List<CpnVal>> getAllJourneyCpn();
	
	/**
	 * 获得行程子表单 （子表单本身）
	 * @return
	 */
	public CpnVal getJourneySubForm();
	
	/**
	 * 为每个票据添加对应的行程ID
	 * @param JourneyIds
	 */
	public void setEachBillJourneyId(List<Integer> JourneyIds);
}
