package com.changhong.epc.parsing.service.bill.group;

import com.changhong.epc.bean.form.Fieldsets;
import com.changhong.epc.bean.tenant.bill.OCRBillEntity;
import com.changhong.epc.constter.parsing.bill.ConstBill;
import com.changhong.epc.parsing.service.util.IFromOperate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * 将票据val转换为code
 * @author wangZX
 *
 */
@Service("billValToCode")
public class BillValToCode implements ConstBill {

	private static final Map<String, String> MAPPING_MD = new HashMap<>();
	
	@Resource
	private IFromOperate fromOperate;
	
	static {
		MAPPING_MD.put(FROM	, FROM_SIT);
		MAPPING_MD.put(TO	, TO_SIT);
	}


	public Fieldsets getFieldsets(OCRBillEntity bill) {
		return new Fieldsets(fromOperate.selectFromAll(bill));
	}
}
