package com.changhong.epc.parsing.service.loop;

/**
 * 服务管理接口
 * @ClassName: ILoop
 * @author [九鼎联合科技]
 * @date 2017年6月19日 下午6:38:44
 */
public interface ILoop {
	/**
	 * 启动服务
	 */
	public void start();
	
	/**
	 * 关闭服务
	 */
	public void stop();
	
	/**
	 * 重启服务
	 */
	public void restart();
	
	/**
	 * 执行服务次数
	 */
	public Long smcols();
	
	/**
	 *  当前服务执行时间 
	 * @return 秒数
	 */
	public Long currServiceExecuteTime();
	
	/**
	 * 业务处理
	 */
	public void  businessHandle();
	
}
