package com.changhong.epc.parsing.service.loop.impl;

import com.changhong.epc.constter.base.loop.LoopBaseBean;
import com.changhong.epc.rely.api.epc.tenant.TenantInitApi;
import com.changhong.epc.rely.api.service.CscApiService;
import com.iemsoft.framework.cloud.core.thread.ThreadData;
import com.iemsoft.framework.cloud.core.tools.SpringUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
@Slf4j
public class OrgServiceImpl extends LoopSuper {

    @Resource
    private TenantInitApi tenantInitApi;

    @Override
    public String getThreadName() {
        return "组织机构同步";
    }

    @Override
    public void businessHandle() {
        tenantInitApi.synOrg();
    }
}
