package com.changhong.epc.parsing.service.transition;

import com.changhong.epc.bean.parsing.BillInfo;
import com.changhong.epc.bean.tenant.bill.OCRBillEntity;
import com.changhong.epc.parsing.service.bill.IAutoAllotJourney;

/**
 * 解析票据
 */
public interface Transverter {

    /**
     * 解析票据
     * @param oCRBillEntity
     * @return
     */
    boolean exeConvert(OCRBillEntity oCRBillEntity);

    /**
     * 获得分配行程工具类
     * @param billInfo
     * @return
     */
    IAutoAllotJourney getAutoAllotJourney(BillInfo billInfo);

}
