package com.changhong.epc.parsing.service.transition.billInfo.function;

import java.util.List;
import java.util.Map;

/**
 * 函数执行器
 * @ClassName: IFuncFactory
 * @author [九鼎联合科技]
 * @date 2017年7月10日 下午8:16:59
 */
public interface IFuncActuator {
	
	/**
	 * 执行某个函数
	 * @Title: exeFun
	 * @param @param funMethodName
	 * @param @param params
	 * @param @return    设定文件
	 * @return Object    返回类型
	 * @throws
	 */
	public Object exeFun(String funMethodName, Object[] params);
	
	/**
	 * 执行函数集合
	 * @Title: exeFunList
	 * @param @return    设定文件
	 * @return List<Boolean>    返回类型
	 * @throws
	 */
	public List<Boolean> exeFunList(String sourceFuncList) throws Exception;
	
	public void setDate(Map<String, ? extends Object> data);
}
