package com.changhong.epc.parsing.service.transition.billInfo.models;

import java.util.HashMap;
import java.util.Map;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 主数据唯一标识 mdCode+meCode
 * @ClassName: GroupKey
 * @author [九鼎联合科技]
 * @date 2017年7月23日 下午7:19:20
 */
@Data
@EqualsAndHashCode
@ToString
public class GroupKey{
	
	private String mdCode;
	private String meCode;

	public GroupKey() {
	}
	
	public GroupKey(String mdCode, String meCode) {
		super();
		this.mdCode = mdCode;
		this.meCode = meCode;
	}
}